/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.FuncionSistema;
import com.rjconsultores.ventaboletos.entidad.Sistema;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderMenu implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        FuncionSistema funcionSistema = (FuncionSistema) o;

        Listcell lc = new Listcell(funcionSistema.getFuncionsistemaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(funcionSistema.getNombfuncion());
        lc.setParent(lstm);

        lc = new Listcell(funcionSistema.getDescruta());
        lc.setParent(lstm);

        Sistema sistema = funcionSistema.getSistema();
        if (sistema != null) {
            lc = new Listcell(sistema.toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", funcionSistema);
    }
}
